glab(1)

NAME

glab-mr-update - Update merge requests

SYNOPSIS

glab mr update [ | ] [flags]

DESCRIPTION

Update merge requests

OPTIONS

-a, --assignee=[]
    assign users via username, prefix with '!' or '-' to remove from existing assignees, '+' to add, otherwise replace existing assignees with given users

-d, --description=""
    merge request description; set to "-" to open an editor

--draft[=false]
    Mark merge request as a draft

-l, --label=[]
    add labels

--lock-discussion[=false]
    Lock discussion on merge request

-m, --milestone=""
    title of the milestone to assign, pass "" or 0 to unassign

-r, --ready[=false]
    Mark merge request as ready to be reviewed and merged

--remove-source-branch[=false]
    Toggles the removal of the Source Branch on merge

--reviewer=[]
    request review from users by their usernames, prefix with '!' or '-' to remove from existing reviewers, '+' to add, otherwise replace existing reviewers with given users

--squash-before-merge[=false]
    Toggles the option to squash commits into a single commit when merging

--target-branch=""
    set target branch

-t, --title=""
    Title of merge request

--unassign[=false]
    unassign all users

-u, --unlabel=[]
    remove labels

--unlock-discussion[=false]
    Unlock discussion on merge request

--wip[=false]
    Mark merge request as a work in progress. Alternative to --draft

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE
    glab mr update 23 --ready
    glab mr update 23 --draft
    glab mr update --draft  # Updates MR related to current branch

SEE ALSO

glab-mr(1)